require 'securerandom'

def create_daily_tasks
  tasks = {'date' => Time.new, 'tasks' => {}}
  tasks_json = JSON.generate(tasks)
  return tasks_json
end

def create_task(name, complete = 0, link = nil)
  task_hash = {}
  if name == ''
    return 'your task must have a name'
  else
    task_hash[:name] = name
  end

  if complete == 0
    task_hash[:complete] = 'false'
  elsif complete == 1
    task_hash[:complete] == 'true'
  end

  task_hash[:time_added] = Time.new

  link_string = task_hash[:name][0..2] + String(SecureRandom.hex(2))

  task_hash[:link] = link_string
  task_hash[:time_spent] = 0

  return task_hash
end

def add_task(hash, task)
  hash ||= {}

  task_hash = {}

  for x in hash.keys
    task_hash[x] = hash[x]
  end

  if task[:link].nil?
    return puts 'task is missing link'
  end

  if task[:name].nil?
    return puts 'task is missing name'
  end

  if task[:time_added].nil?
    return puts 'missing time added'
  end

  if task[:complete].nil?
    return puts 'missing completed field'
  end

  link_str = task[:link]

  task_hash[link_str] = task

  return task_hash
end
